/* Standard-Definitions */
#include <stdio.h>
/* Definitions for that program */
#include "useful.h"
#include "text.h"
#include "set.h"


/* Variablen fuer settings */

static char startsites[] = "startsites";
static char endsites[] = "endsites";
static char charge[] = "charge";
static char levels[] = "levels";
static char sites[] = "sitesp";
static char chargep[] = "chargep";
static char levelsp[] = "levelsp";
static char intticks[] = "intticks";
static char diffsteps[] = "diffsteps";
static char cutarg[] = "cut";
static char outputfl[] = "outputflag";
static char startfit[] = "startfit";
static char cgiter[] = "cg_iterations";
static char zero[] = "zero";
static char outdigits[] = "outdigits";
static char outflush[] = "outflush";
static char debug[] = "debug";

static char *set_names[SET_CNT] = { startsites, endsites, charge, levels,
                                    sites, chargep, levelsp, intticks,
                                    diffsteps, cutarg, outputfl, startfit,
                                    cgiter, zero, outdigits, outflush, debug };

int set_values[SET_CNT] = {4, 10, 4, 6, 12, 3, 9, 100, 10, 2, 1, 1,
                           25, -12, 8, 1, 0 };

/* Settings aendern bzw. anzeigen */

void set_it(UBYTE *name, int value)
 {
   register int i, j;
   int len;

   if(! *name)
    {
      printf("The current settings are:\n");
      for(i=0; i<SET_CNT; i++)
       {
         len=strlen(set_names[i]);
         printf("\t%s", set_names[i]);
         putchar(' ');
         for(j=0; j<14-len; j++)
              putchar('.');
         putchar(' ');
         printf("%d\n", set_values[i]);
       }
      return;
    }

   for(i=0; i<SET_CNT; i++)
     if(compare(name, set_names[i]))
      {
         set_values[i] = value;
         return;
      }

   display_error_text("Cannot set '%s'", name);
 }
